# Non-fungible token (NFT) action

The NFT action stream provides updates about standard NFT actions like `mint`, `burn`, or `transfer` happening on the network. CSPR.cloud keeps track of NFTs compatible with the [CEP-47](https://github.com/casper-ecosystem/casper-nft-cep47) and [CEP-78](https://github.com/casper-ecosystem/cep-78-enhanced-nft) Casper Network standards.

```
GET /nft-token-actions
```

## Optional properties

None

## Query params

| Property                | Type     | Description                                  |
| ----------------------- | -------- | -------------------------------------------- |
| `contract_package_hash` | `string` | Comma-separated contract package hashes      |
| `owner_hash`            | `string` | Comma-separated list of owner account hashes |

## Events

| Event     | Description                                            |
| --------- | ------------------------------------------------------ |
| `created` | Notifies about new NFT action happening on the network |

## Response

[`WebSocketMessage`](https://docs.cspr.cloud/1.5.x/reference#format)[`<NFTTokenAction>`](https://docs.cspr.cloud/1.5.x/rest-api/non-fungible-token-action#properties)

## Example

```bash
wscat -c 'wss://streaming.testnet.cspr.cloud/nft-token-actions?contract_package_hash=5341882bae97a7368cdb007faa9f25735d2780d601114f82907fd83af2e9f508' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "deploy_hash": "f7da222b5b2466b7677c3046f50a40f9be478acf53a345135b32196905407c42",
    "contract_package_hash": "5341882bae97a7368cdb007faa9f25735d2780d601114f82907fd83af2e9f508",
    "token_id": "119",
    "from_type": null,
    "from_hash": null,
    "to_type": 0,
    "to_hash": "66b1b6b393e5aed08be0759d52c484ba2921c844cc0918d5b8bb02849bb833d4",
    "nft_action_id": 1,
    "token_tracking_id": 1,
    "timestamp": "2023-12-27T16:50:13.689Z"
  },
  "action": "created",
  "extra": {
    "owner_hash": "66b1b6b393e5aed08be0759d52c484ba2921c844cc0918d5b8bb02849bb833d4"
  },
  "timestamp": "2024-02-07T10:34:36.438640111Z"
}
```
